using System;
using System.Collections;
using Server.Items;

namespace Server.Mobiles
{
	public class SBGoldPlateArmor: SBInfo
	{
		private ArrayList m_BuyInfo = new InternalBuyInfo();
		private IShopSellInfo m_SellInfo = new InternalSellInfo();

		public SBGoldPlateArmor()
		{
		}

		public override IShopSellInfo SellInfo { get { return m_SellInfo; } }
		public override ArrayList BuyInfo { get { return m_BuyInfo; } }

		public class InternalBuyInfo : ArrayList
		{
			public InternalBuyInfo()
			{
				Add( new GenericBuyInfo( typeof( GoldPlateArms ), 181, 20, 0x1410, 5 ) );
				Add( new GenericBuyInfo( typeof( GoldPlateChest ), 273, 20, 0x1415, 5 ) );
				Add( new GenericBuyInfo( typeof( GoldPlateGloves ), 145, 20, 0x1414, 5 ) );
				Add( new GenericBuyInfo( typeof( GoldPlateGorget ), 124, 20, 0x1413, 5 ) );
				Add( new GenericBuyInfo( typeof( GoldPlateLegs ), 218, 20, 0x1411, 5 ) );

				Add( new GenericBuyInfo( typeof( GoldPlateHelm ), 170, 20, 0x1412, 5 ) );
				Add( new GenericBuyInfo( typeof( GoldFemalePlateChest ), 245, 20, 0x1C04, 5 ) );
			}
		}

		public class InternalSellInfo : GenericSellInfo
		{
			public InternalSellInfo()
			{
			}
		}
	}
}
